#!/bin/bash
set -exu

YUM_REPO=$1


if grep -q 'release 7' /etc/centos-release ; then
    EL=7
else
    EL=6
fi

cat > /etc/yum.repos.d/confluent.repo <<EOF
[Confluent.dist]
name=Confluent repository (dist)
baseurl=$YUM_REPO/$EL
enabled=1
gpgcheck=0

[Confluent]
name=Confluent repository
baseurl=$YUM_REPO
enabled=1
gpgcheck=0
EOF


yum install -y epel-release
yum install -y librdkafka confluent-librdkafka-plugins

if [[ $EL -gt 6 ]]; then
    yum install -y yajl http://dl.marmotte.net/rpms/redhat/el7/x86_64/kafkacat-1.3.1-1.el7/kafkacat-1.3.1-1.el7.x86_64.rpm

else
    yum install -y gcc unzip librdkafka-devel
    curl -L -o k.zip https://github.com/edenhill/kafkacat/archive/master.zip
    unzip k.zip
    pushd kafkacat-master
    ./configure --prefix=/usr
    make
    make install
    popd
fi

echo | kafkacat -P -X plugin.library.paths=monitoring-interceptor -t test -b broker -X confluent.monitoring.interceptor.icdebug=true -E
