import sys
from threading import Thread
from confluent_kafka import Consumer, KafkaError
import time

bootstrap_server = sys.argv[1]


def threaded_function(arg):

    clientid = 'client-{}'.format(arg[0])
    groupid = arg[1]

    # client id all the same test.
    # clientid = 'myclient'

    print('starting: ' + clientid + ' ' + groupid)

    settings = {
        'bootstrap.servers': bootstrap_server,
        'group.id': groupid,
        'client.id': clientid,
        'enable.auto.commit': False,
        'session.timeout.ms': 6000,
        'default.topic.config': {'auto.offset.reset': 'smallest'},
        'plugin.library.paths': "/usr/local/lib/monitoring-interceptor.so"
    }

    c = Consumer(settings)
    c.subscribe(['test-topic-2'])

    try:
        while True:
            msg = c.poll(5)
            if msg is None:
                print("nothing!")
                continue
            elif not msg.error():
                print('got: {0}'.format(msg.value()))
            elif msg.error().code() == KafkaError._PARTITION_EOF:
                pass
            else:
                print('Error occured: {0}'.format(msg.error().str()))

            c.commit()

    except KeyboardInterrupt:
        pass

    finally:
        c.close()

for i in range(10):
    thread = Thread(target = threaded_function, args = ([i, 'group-1'],))
    thread.start()

while True:
    print("waiting")
    time.sleep(20)
