#!/bin/bash

eval $(docker-machine env interceptor-testing)

docker-machine scp /git/confluent-librdkafka-plugins/monitoring-interceptor/tests/scripts/bootstrap-python-producer.sh interceptor-testing:/home/ubuntu/

docker-machine scp /git/confluent-librdkafka-plugins/monitoring-interceptor/tests/scripts/producer.py interceptor-testing:/home/ubuntu/

docker-machine ssh interceptor-testing \
    "cd /; sudo rm -rf git; sudo mkdir git; sudo chmod a+rwx git;"

docker-machine scp /git/confluent-librdkafka-plugins.tar interceptor-testing:/git/

docker-machine ssh interceptor-testing \
    "cd /git; tar xvf confluent-librdkafka-plugins.tar"

docker run \
  -t -d \
  --network=host \
  --name=python-producer \
  --rm \
  -v /git/confluent-librdkafka-plugins:/src \
  -v /home/ubuntu:/scripts \
  -e ZOOKEEPER=$(docker-machine ip interceptor-testing):32181 \
  -e KAFKA=$(docker-machine ip interceptor-testing):29092 \
  python:3.6 \
  /scripts/bootstrap-python-producer.sh
