#!/bin/bash

if [ "$#" -ne 1 ]; then
    echo "usage: $0 <container name>"
    echo "  note: container names python-env1, python-env2 and python-env3 are killed by everything-down.sh"
    exit 1
fi

eval $(docker-machine env interceptor-testing)

docker-machine scp /git/confluent-librdkafka-plugins/monitoring-interceptor/tests/scripts/bootstrap-python.sh interceptor-testing:/home/ubuntu/

docker-machine scp /git/confluent-librdkafka-plugins/monitoring-interceptor/tests/scripts/producer.py interceptor-testing:/home/ubuntu/
docker-machine scp /git/confluent-librdkafka-plugins/monitoring-interceptor/tests/scripts/consumer.py interceptor-testing:/home/ubuntu/
docker-machine scp /git/confluent-librdkafka-plugins/monitoring-interceptor/tests/scripts/extra_consumer.py interceptor-testing:/home/ubuntu/

docker-machine ssh interceptor-testing \
    "cd /; sudo rm -rf git; sudo mkdir git; sudo chmod a+rwx git;"

docker-machine scp /git/confluent-librdkafka-plugins.tar interceptor-testing:/git/

docker-machine ssh interceptor-testing \
    "cd /git; tar xvf confluent-librdkafka-plugins.tar"

docker run \
  -t -d \
  --network=host \
  --name=$1 \
  --rm \
  -v /git/confluent-librdkafka-plugins:/src \
  -v /home/ubuntu:/scripts \
  -e ZOOKEEPER=$(docker-machine ip interceptor-testing):32181 \
  -e KAFKA=$(docker-machine ip interceptor-testing):29092 \
  python:3.6 \
  /scripts/bootstrap-python.sh
