
## 1. long running python + librdkafka interceptor test

use a single t2.large AWS instance for everything
 - kafka + zookeeper + c3 + python producer and consumer apps.
   - producer produces to single topic (20 partitions)
   - consumer 12 consumers in group.
 - bring up using docker / docker-machine. ubuntu.
 - single broker only
 - no replication
 - 100byte messages. Average 2 per second (~250Mb of data + overhead over 2 weeks). Disk total size 16Gb.
 - ran overnight only (~18 hours).
 - no problems.
   - totals correct
   - no over or under consumption

 - side tests:
  1. start producer first
    - consumer starts reading from end
      - in first bucket see under consumption, as expected.
    - where consumer starts reading from start
      - 100% consumption, as expected.
  2. start consumer first (read from end)
    - 100% consumption, as expected.

### Consumer group with all clients sharing same client ID

1. all aggregated together in C3.

### Consumer group with different client id for each consumer

2. same as long running test (works).

### Two consumer groups, each one containing client ids with identical names (i.e. both groups contain "consumer-1")

3. Same as long running test, but two groups of 12 consumers reading from same topic.
  - totals are correct.

### Clean bounce of a subset of the consumers in a group

1. start a number of consumers up up well after others start (ok)
2. have it these consume 100 messages, then shut down.
  - auto commit - ok
  - manual commit - ok
  - see that aggregate value is correct, that consituent consumers 'underconsume' in one bucket. 
  - checked 'counts (total expected - total missing = correct aggregate)'

### Unclean bounce (without "close") of a subset of consumers in a group

1. problems. MMA-1432

### Consumer group with very large number of consumers (running as multiple threads in one app if a language permits it). Multiple consecutive bounces to check rebalance behavior.

- topic with 120 partitions.
- producer producing 20 messages a second.
- Started group of 48 consumers in one process.
- waited a bit.
- Started, one by one, 37 more consumers in another process. delay between consumer start is 10 seconds.
- Each of these reads 100 messages and cleanly exits.

- aggregate for group shows no over or under consumption.
- windows for consumers show lots of under consumption (as you'd expect).

### check sessions are reset every 10min

 - true of producer
 - true of consumer.

### no duplicate/missing sequences, shutdown message is last sequence etc.

- sequence numbers increment on both producer and consumer. 
- two metric aggregates appear every 15s, occurs because window split, but shouldn't cause problems (different to java)
- shutdown flag is set correctly.

### check heartbeat messages sent 

- yes they are, but only for topic/partitions previously written to or read from by client.

